Bug 1591285 - Upgrade 6.3.2 > 6.4 fails due to tfm-rubygem-fog-openstack
Summary: Upgrade 6.3.2 > 6.4 fails due to tfm-rubygem-fog-openstack
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Compute Resources - OpenStack
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Keywords: Upgrades
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-14 13:23 UTC by Lukas Pramuk
Modified: 2018-11-07 14:22 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-07 14:22:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 1513932 None None None Never

Internal Trackers: 1513932

Description Lukas Pramuk 2018-06-14 13:23:51 UTC
Description of problem:
Upgrade 6.3.2 > 6.4 fails due to tfm-rubygem-fog-openstack.
Sat6.4 compose has older tfm-rubygem-fog-openstack than 6.3.2 releases and while they depend on different ruby versions upgrade fails.

6.4
tfm-rubygem-fog-openstack-0.1.23-3.el7sat
(> rh-ruby24)

6.3.2
tfm-rubygem-fog-openstack-0.1.25-1.el7sat
(> rh-ruby23)

Version-Release number of selected component (if applicable):
Sat6.4.0 (Snap7)
tfm-rubygem-fog-openstack-0.1.23-3.el7sat

How reproducible:
always

Steps to Reproduce:
1. Have 6.3.2 (puppet4)
2. Enable 6.4 repo and update packages

# yum upgrade
...
Error: Package: tfm-rubygem-fog-openstack-0.1.25-1.el7sat.noarch (@satellite63)
           Requires: rh-ruby23-ruby(release)
           Removing: rh-ruby23-ruby-libs-2.3.6-67.el7.x86_64 (@rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.6
           Obsoleted By: satellite-common-6.4.0-9.beta.el7sat.noarch (satellite)
               Not found
           Available: rh-ruby23-ruby-libs-2.3.0-60.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.0
           Available: rh-ruby23-ruby-libs-2.3.1-64.el7.x86_64 (rhel-server-rhscl-7-rpms)
               rh-ruby23-ruby(release) = 2.3.1
Error: Package: tfm-rubygem-fog-openstack-0.1.25-1.el7sat.noarch (@satellite63)
           Requires: rh-ruby23-rubygems
           Removing: rh-ruby23-rubygems-2.5.2.2-67.el7.noarch (@rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.2.2-67.el7
           Obsoleted By: satellite-common-6.4.0-9.beta.el7sat.noarch (satellite)
               Not found
           Available: rh-ruby23-rubygems-2.5.1-60.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.1-60.el7
           Available: rh-ruby23-rubygems-2.5.1-64.el7.noarch (rhel-server-rhscl-7-rpms)
               rh-ruby23-rubygems = 2.5.1-64.el7
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


Actual results:
unresolved deps, upgrade fails

Expected results:
no deps issue, upgrade succeeds

Comment 4 Lukas Pramuk 2018-06-25 14:32:19 UTC
VERIFIED.

@satellite-6.4.0-9.beta.el7sat.noarch
tfm-rubygem-fog-openstack-0.1.25-2.el7sat.noarch

by following manual steps:

# rpm -q tfm-rubygem-fog-openstack
tfm-rubygem-fog-openstack-0.1.25-2.el7sat.noarch

>>> 0.1.25-2.el7sat is higher what was released for 6.3.2 (0.1.25-1.el7sat) 

# rpm -qR tfm-rubygem-fog-openstack |grep ruby2 
rh-ruby24-ruby(release)
rh-ruby24-rubygems

>>> 6.4 rubygem is built against ruby24

Comment 6 Bryan Kearney 2018-11-07 14:22:36 UTC
Based on comment 4, I am closing this as currentrelease. If you are still seeing this issue on 6.4 please open a new bz.


Note You need to log in before you can comment on or make changes to this bug.